Show / Hide Table of Contents

# Class BattleNpc

This class represents a battle NPC.

##### Inheritance

System.Object
Actor
Chara
Npc
BattleNpc

##### Inherited Members

Npc.DataId
Chara.Level
Chara.ClassJob
Chara.CurrentHp
Chara.MaxHp
Chara.CurrentMp
Chara.MaxMp
Actor.actorStruct
Actor.dalamud
Actor.Position
Actor.Name
Actor.ActorId
Actor.ObjectKind
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState.Actors.Types.NonPlayer

###### Assembly: Dalamud.dll

##### Syntax

    public class BattleNpc : Npc

### Constructors

| Improve this Doc View Source

#### BattleNpc(Actor, Dalamud)

Set up a new BattleNpc with the provided memory representation.

##### Declaration

    public BattleNpc(Actor actorStruct, Dalamud dalamud)

##### Parameters

Type | Name | Description
--- | --- | ---
Actor | actorStruct | The memory representation of the base actor.
Dalamud.Dalamud | dalamud | A dalamud reference needed to access game data in Resolvers.

### Properties

| Improve this Doc View Source

#### BattleNpcKind

The BattleNpc BattleNpcSubKind of this BattleNpc.

##### Declaration

    public BattleNpcSubKind BattleNpcKind { get; }

##### Property Value

Type | Description
--- | ---
BattleNpcSubKind |

| Improve this Doc View Source

#### OwnerId

The ID of this BattleNpc's owner.

##### Declaration

    public int OwnerId { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |